"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataSet = void 0;
class DataSet {
    columnDescriptions;
    values = [];
    attachment = [];
    constructor(columnDescriptions) {
        this.columnDescriptions = columnDescriptions;
    }
    hasId(id) {
        const index = this.columnDescriptions.indexById(id);
        return index !== -1;
    }
    byId(id) {
        const index = this.columnDescriptions.indexById(id);
        // eslint-disable-next-line security/detect-object-injection
        return index === -1 ? undefined : this.values[index];
    }
    numberById(id) {
        const value = this.byId(id);
        if (!value) {
            return undefined;
        }
        const number = +value;
        return Number.isNaN(number) ? undefined : number;
    }
    boolById(id) {
        const number = this.numberById(id);
        return typeof number === 'undefined' ? undefined : this.numberById(id) !== 0;
    }
    trySetById(id, value) {
        const index = this.columnDescriptions.indexById(id);
        if (index >= 0) {
            // eslint-disable-next-line security/detect-object-injection
            this.values[index] = value;
            return true;
        }
        return false;
    }
    trySetNumberById(id, value) {
        return this.trySetById(id, `${value}`);
    }
    trySetBoolById(id, value) {
        return this.trySetById(id, value ? '1' : '0');
    }
}
exports.DataSet = DataSet;
//# sourceMappingURL=DataSet.js.map