"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Document = exports.MeasuringSystem = void 0;
const Table_1 = require("./Table");
var MeasuringSystem;
(function (MeasuringSystem) {
    MeasuringSystem["METRIC"] = "METRIC";
    MeasuringSystem["IMPERIAL"] = "IMPERIAL";
})(MeasuringSystem = exports.MeasuringSystem || (exports.MeasuringSystem = {}));
class Document {
    preamble = undefined;
    measuringSystem = MeasuringSystem.METRIC;
    tables = [];
    attachments = [];
    indexByName(name) {
        return this.tables.findIndex((x) => x.name === name);
    }
    get(name) {
        const index = this.indexByName(name);
        // eslint-disable-next-line security/detect-object-injection
        return index === -1 ? undefined : this.tables[index];
    }
    getOrAdd(name) {
        const index = this.indexByName(name);
        if (index === -1) {
            const t = new Table_1.Table(name);
            this.tables.push(t);
            return t;
        }
        // eslint-disable-next-line security/detect-object-injection
        return this.tables[index];
    }
}
exports.Document = Document;
//# sourceMappingURL=Document.js.map