"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Table = void 0;
const ColumnDescription_1 = require("./ColumnDescription");
const ColumnDescriptions_1 = require("./ColumnDescriptions");
const DataSet_1 = require("./DataSet");
class Table {
    name;
    columnDescriptions;
    dataSets;
    constructor(name) {
        this.name = name ?? '';
        this.columnDescriptions = new ColumnDescriptions_1.ColumnDescriptions();
        this.dataSets = [];
    }
    columnById(id) {
        return this.columnDescriptions.indexById(id);
    }
    dataSetIndexById(id, value) {
        const column = this.columnById(id);
        // eslint-disable-next-line security/detect-object-injection
        return column === -1 ? -1 : this.dataSets.findIndex((x) => x.values[column] === value);
    }
    dataSetById(id, value) {
        const index = this.dataSetIndexById(id, value);
        // eslint-disable-next-line security/detect-object-injection
        return index === -1 ? null : this.dataSets[index];
    }
    addColumn(id, name, unit, valueType) {
        const c = new ColumnDescription_1.ColumnDescription();
        c.id = id;
        c.name = name;
        c.unit = unit;
        c.valueType = valueType;
        this.columnDescriptions.push(c);
        this.dataSets.forEach((x) => x.values.push(null));
        return c;
    }
    addDataSet() {
        const d = new DataSet_1.DataSet(this.columnDescriptions);
        this.dataSets.push(d);
        return d;
    }
}
exports.Table = Table;
//# sourceMappingURL=Table.js.map