"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Document = void 0;
const LstTable_1 = require("../model/LstTable");
const LTTMasterData_1 = require("./LTTMasterData");
const MachineLoadData_1 = require("./MachineLoadData");
const PartsInProgram_1 = require("./PartsInProgram");
const PartsInProgramPos_1 = require("./PartsInProgramPos");
const PartUnload_1 = require("./PartUnload");
const ProductionOrder_1 = require("./ProductionOrder");
const Program_1 = require("./Program");
const SetupPlan_1 = require("./SetupPlan");
const SheetLoad_1 = require("./SheetLoad");
const SheetLoadData_1 = require("./SheetLoadData");
const SheetReposit_1 = require("./SheetReposit");
const SheetTech_1 = require("./SheetTech");
const ToolMasterData_1 = require("./ToolMasterData");
class Document {
    productionOrders = [];
    setupPlans = [];
    sheetTechs = [];
    machineLoadDatas = [];
    sheetLoads = [];
    sheetLoadDatas = [];
    sheetReposits = [];
    partsInProgram = [];
    partsInProgramPos = [];
    partUnloads = [];
    lttMasterData = [];
    toolMasterData = [];
    programs = [];
    get name() {
        return this.setupPlans[0]?.mainProgramName ?? this.productionOrders[0]?.jobName ?? '<unknown>';
    }
}
__decorate([
    LstTable_1.LstTable(ProductionOrder_1.ProductionOrder.ID, ProductionOrder_1.ProductionOrder),
    __metadata("design:type", Array)
], Document.prototype, "productionOrders", void 0);
__decorate([
    LstTable_1.LstTable(SetupPlan_1.SetupPlan.ID, SetupPlan_1.SetupPlan),
    __metadata("design:type", Array)
], Document.prototype, "setupPlans", void 0);
__decorate([
    LstTable_1.LstTable(SheetTech_1.SheetTech.ID, SheetTech_1.SheetTech),
    __metadata("design:type", Array)
], Document.prototype, "sheetTechs", void 0);
__decorate([
    LstTable_1.LstTable(MachineLoadData_1.MachineLoadData.ID, MachineLoadData_1.MachineLoadData),
    __metadata("design:type", Array)
], Document.prototype, "machineLoadDatas", void 0);
__decorate([
    LstTable_1.LstTable(SheetLoad_1.SheetLoad.ID, SheetLoad_1.SheetLoad),
    __metadata("design:type", Array)
], Document.prototype, "sheetLoads", void 0);
__decorate([
    LstTable_1.LstTable(SheetLoadData_1.SheetLoadData.ID, SheetLoadData_1.SheetLoadData),
    __metadata("design:type", Array)
], Document.prototype, "sheetLoadDatas", void 0);
__decorate([
    LstTable_1.LstTable(SheetReposit_1.SheetReposit.ID, SheetReposit_1.SheetReposit),
    __metadata("design:type", Array)
], Document.prototype, "sheetReposits", void 0);
__decorate([
    LstTable_1.LstTable(PartsInProgram_1.PartsInProgram.ID, PartsInProgram_1.PartsInProgram),
    __metadata("design:type", Array)
], Document.prototype, "partsInProgram", void 0);
__decorate([
    LstTable_1.LstTable(PartsInProgramPos_1.PartsInProgramPos.ID, PartsInProgramPos_1.PartsInProgramPos),
    __metadata("design:type", Array)
], Document.prototype, "partsInProgramPos", void 0);
__decorate([
    LstTable_1.LstTable(PartUnload_1.PartUnload.ID, PartUnload_1.PartUnload),
    __metadata("design:type", Array)
], Document.prototype, "partUnloads", void 0);
__decorate([
    LstTable_1.LstTable(LTTMasterData_1.LTTMasterData.ID, LTTMasterData_1.LTTMasterData),
    __metadata("design:type", Array)
], Document.prototype, "lttMasterData", void 0);
__decorate([
    LstTable_1.LstTable(ToolMasterData_1.ToolMasterData.ID, ToolMasterData_1.ToolMasterData),
    __metadata("design:type", Array)
], Document.prototype, "toolMasterData", void 0);
__decorate([
    LstTable_1.LstTable(Program_1.Program.ID, Program_1.Program),
    __metadata("design:type", Array)
], Document.prototype, "programs", void 0);
exports.Document = Document;
//# sourceMappingURL=Document.js.map